package org.execution;

import org.global.BaseClass;
import org.manager.PageManager;
import org.openqa.selenium.WebElement;
import org.testng.annotations.Test;

public class TC02_AdactinSearchHotelPageValidation extends BaseClass {

	public static BaseClass base = new BaseClass();
	public static PageManager pageManager = new PageManager();

	

	@Test(priority=8)
	public void loginCrdentialsValidation() {

		try {

			WebElement userName = pageManager.getLoginPage().getUserName();
			base.sendKeysByJS(userName, base.readExcel(2, 1));

			WebElement password = pageManager.getLoginPage().getPassword();
			base.sendKeysByJS(password, base.readExcel(3, 1));

		} catch (Exception e) {

		}

	}

	@Test(priority=9)
	public void loginButtonValidation() {

		try {

			WebElement login = pageManager.getLoginPage().getLogin();

			if (login.isDisplayed()) {

				if (login.isEnabled()) {

					System.out.println("Login Button is Enabled");

					base.clickByJS(login);

				}

			}

		} catch (Exception e) {
			// TODO: handle exception
		}

	}

	@Test(priority=10)
	public static void searchHotelPageValidation() {

		try {

			if (pageManager.getSearchHotelPage().getSearchHotelText().isDisplayed()) {

				System.out.println("User is In Search Hotel Page");
			}

			WebElement location = pageManager.getSearchHotelPage().getLocation();
			base.selectByValue(location, base.readExcel(4, 1));

			if (pageManager.getSearchHotelPage().getSearchButton().isDisplayed()) {

				if (pageManager.getSearchHotelPage().getSearchButton().isEnabled()) {

					base.clickByJS(pageManager.getSearchHotelPage().getSearchButton());

				}
			}

		} catch (Exception e) {

		}

	}

}
