package org.execution;

import org.global.BaseClass;
import org.manager.PageManager;
import org.openqa.selenium.WebElement;
import org.testng.Assert;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

public class TestScript extends BaseClass {

	public static BaseClass base = new BaseClass();
	public static PageManager pageManager = new PageManager();

	@Parameters({ "browserType" })
	@BeforeClass
	public static void browserLaunch_UrlLaunch(String browser) {

		try {

			if (browser.equals("Chrome")) {
				
				base.getDriver(browser);
				
			} else {
				
				base.getDriver(browser);
			}

			base.getUrl(base.readExcel(1, 1));

			base.excelReport1(2, 3, "LoginCrdentials are Correct");

			Thread.sleep(5000);
		} catch (Exception e) {

		}

		// To Validate User is in Login Page or not
		try {
			if (pageManager.getLoginPage().getUserLogin().isDisplayed()) {

				System.out.println("User Is In Login Page");

				if (pageManager.getLoginPage().getUserLogin().getText().contains("Build 1")) {

					System.out.println("User Is Is Build 1 Login Page");
				}

			} else {

				System.out.println("User Not In Login Page");

			}

		} catch (Exception e) {

		}

	}

	@Test(priority = 3)
	public void loginCrdentialsValidation() {

		try {

			WebElement userName = pageManager.getLoginPage().getUserName();
			base.sendKeysByJS(userName, base.readExcel(2, 1));

			WebElement password = pageManager.getLoginPage().getPassword();
			base.sendKeysByJS(password, base.readExcel(3, 1));

		} catch (Exception e) {

		}

	}

	@Test(priority = 4)
	public void loginButtonValidation() {

		try {

			WebElement login = pageManager.getLoginPage().getLogin();

			if (login.isDisplayed()) {

				if (login.isEnabled()) {

					System.out.println("Login Button is Enabled");

					base.clickByJS(login);

				}

			}

		} catch (Exception e) {
			// TODO: handle exception
		}

	}

}
